Subject: Problem in using gnu-win32(b18)
From: @runyon.cygnus.com (Kim KiSun)

8 Jan 1998 02:45:37 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi!

When I used system call like these,
  I found problem that output files were not appeared immediately.

int main()
{
    :
    :
 system("gcc -o test.o -I~~ -L~~  test.c");                       // call-1
 system("gcc -o test.exe -I~~  -L~~  test2.c test3.c  test.o");   // call-2
 execvp("test.exe", argv);                                        // call-3
    :
    :
}

call-2 put error message,
  because test.o file has not been yet existed at call-2 time.
call-3 put error messages, too.
  Because test.exe file has not been yet existed at call-3 time.

These files(test.o & test.exe) were appeared in some times later.

To my knowledge, system() function is started after previous process termination. But this situation tell different results!

How  can I use system call function without this problem?
How  can I force these output files to be written immediately?

Let me see any clue!!

Thank you!

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".